### Enumeration

# Clutter InputCapabilities

since: 14

#### Declaration

    flags Clutter.InputCapabilities

#### Description

No description available.

Available since: 14

#### Members

`CLUTTER_INPUT_CAPABILITY_NONE`
  No description available.
  - Value: `0`
  - Nickname: `none`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_POINTER`
  No description available.
  - Value: `1`
  - Nickname: `pointer`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_KEYBOARD`
  No description available.
  - Value: `2`
  - Nickname: `keyboard`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TOUCHPAD`
  No description available.
  - Value: `4`
  - Nickname: `touchpad`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TOUCH`
  No description available.
  - Value: `8`
  - Nickname: `touch`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TABLET_TOOL`
  No description available.
  - Value: `16`
  - Nickname: `tablet-tool`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TABLET_PAD`
  No description available.
  - Value: `32`
  - Nickname: `tablet-pad`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TRACKBALL`
  No description available.
  - Value: `64`
  - Nickname: `trackball`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TRACKPOINT`
  No description available.
  - Value: `128`
  - Nickname: `trackpoint`
  - Available since: 14